Description: Fix structure padding for mips64
Author: Guillem Jover <guillem@debian.org>
Forwarded: no
Last-Update: 2014-07-23

---
 src/libaio.h |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

--- a/src/libaio.h
+++ b/src/libaio.h
@@ -52,7 +52,8 @@ typedef enum io_iocb_cmd {
 /* little endian, 32 bits */
 #if defined(__i386__) || (defined(__arm__) && !defined(__ARMEB__)) || \
     (defined(__sh__) && defined(__LITTLE_ENDIAN__)) || \
-    defined(__bfin__) || defined(__MIPSEL__) || \
+    defined(__bfin__) || \
+    (defined(__MIPSEL__) && !defined(__mips64)) || \
     defined(__cris__)
 #define PADDED(x, y)	x; unsigned y
 #define PADDEDptr(x, y)	x; unsigned y
@@ -60,6 +61,7 @@ typedef enum io_iocb_cmd {
 
 /* little endian, 64 bits */
 #elif defined(__ia64__) || defined(__x86_64__) || defined(__alpha__) || \
+      (defined(__mips64) && defined(__MIPSEL__)) || \
       (defined(__aarch64__) && defined(__AARCH64EL__))
 #define PADDED(x, y)	x, y
 #define PADDEDptr(x, y)	x
@@ -69,6 +71,7 @@ typedef enum io_iocb_cmd {
 #elif defined(__powerpc64__) || defined(__s390x__) || \
       (defined(__hppa__) && defined(__arch64__)) || \
       (defined(__sparc__) && defined(__arch64__)) || \
+      (defined(__mips64) && defined(__MIPSEB__)) || \
       (defined(__aarch64__) && defined(__AARCH64EB__))
 #define PADDED(x, y)	unsigned y; x
 #define PADDEDptr(x,y)	x
